Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.planner
Class PlatformInfo

    java.lang.Object
      cascading.flow.planner.PlatformInfo

All Implemented Interfaces:
  Serializable, Comparable

    public class PlatformInfo

extends Object
implements Serializable, Comparable

See Also:
  Serialized Form

Field Summary
`String` | `name`
`String` | `vendor`
`String` | `version`

Constructor Summary
`PlatformInfo(String name, String vendor, String version)`

Method Summary
`int` | `compareTo(Object o)`
`boolean` | `equals(Object object)`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public final String name

### vendor

    public final String vendor

### version

    public final String version

Constructor Detail

### PlatformInfo

    public PlatformInfo(String name,
                        String vendor,
                        String version)

Method Detail

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.